﻿$processor = Get-WmiObject Win32_Processor
$is64bit = $processor.AddressWidth -eq 64
Install-ChocolateyPackage -packageName 'vcredist2012' -fileType 'exe' -silentArgs '/Q' `
            -url 'https://download.microsoft.com/download/1/6/B/16B06F60-3B20-4FF2-B699-5E9B7962F9AE/VSU_4/vcredist_x86.exe' `
            -checksum B924AD8062EAF4E70437C8BE50FA612162795FF0839479546CE907FFA8D6E386 `
            -checksumType sha256

                
if($is64bit) {
    Install-ChocolateyPackage -packageName 'vcredist2012_x64' -fileType 'exe' -silentArgs '/Q' `
            -url 'https://download.microsoft.com/download/1/6/B/16B06F60-3B20-4FF2-B699-5E9B7962F9AE/VSU_4/vcredist_x64.exe' `
            -checksum64 681BE3E5BA9FD3DA02C09D7E565ADFA078640ED66A0D58583EFAD2C1E3CC4064 `
            -checksumType64 sha256
}


